=== modified file 'drizzled/lock.cc'
--- drizzled/lock.cc	2010-09-22 22:25:29 +0000
+++ drizzled/lock.cc	2010-09-28 00:51:44 +0000
@@ -762,7 +762,7 @@
 }
 
 
-bool wait_for_locked_table_names(Session *session, TableList *table_list)
+static bool wait_for_locked_table_names(Session *session, TableList *table_list)
 {
   bool result= false;
 

=== modified file 'drizzled/lock.h'
--- drizzled/lock.h	2010-08-17 01:34:55 +0000
+++ drizzled/lock.h	2010-09-28 00:51:44 +0000
@@ -54,7 +54,6 @@
 
 /* Lock based on name */
 void unlock_table_name(TableList *table_list);
-bool wait_for_locked_table_names(Session *session, TableList *table_list);
 void unlock_table_names(TableList *table_list, TableList *last_table);
 bool lock_table_names_exclusively(Session *session, TableList *table_list);
 

=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2010-09-28 00:30:02 +0000
+++ drizzled/sql_base.cc	2010-09-28 00:51:44 +0000
@@ -962,7 +962,7 @@
     mutex is unlocked
   */
 
-  pthread_mutex_unlock(mutex.native_handle());
+  mutex.unlock();
   boost::mutex::scoped_lock (mysys_var->mutex);
   mysys_var->current_mutex= 0;
   mysys_var->current_cond= 0;

